<?php
/*********************************************************
程序名称：站长助手 WEBMASTER HELPER
作者：feixin
email:kusite@etang.com
版权：feixin (http://www.zc18.com)
//////////////////////////////////////////////////////////

最后编辑日期：2003-6-12
*********************************************************/

if (!defined('IN_WH')) {
  die("不要黑我啊");
}

$tmpdir = $WHuds->safecheck($WHuds->root . WH_SLASH . $dir_name);

if(!$WHuds->exists($tmpdir))
{
	$WH->message("目录不存在！");
}
else
{
	$WH->message("这里你可以定义目录<b>{$tmpdir}</b>的操作，程序你自己编写");
echo <<<eot
<form action="index.php?op=list_all_file" method="post" target=_blank>
<input type="hidden" name="dir_name" value="$dir_name">\n
<center>【例子】列出$tmpdir 目录里所有的文件和目录<br />
<br>
<input type="submit" value="生成列表"></center>\n
</form>
eot;

}
?>
<hr>
<b>$WHuds->myaction($dir = '.', $file_func = '', $dir_func = '')</b>
<br />
函数介绍：
<br />$dir 是你要操作的目录
<br />$file_func 是操作文件的函数(一个参数，是要操作的文件），要自己写
<br />$dir_func 是操作目录的函数(一个参数，是要操作的目录），要自己写

<br />如果发挥得好，这个函数很有用的
<br />这样可以对<b><?=$tmpdir?></b>目录里的文件和子目录进行批量操作
<br />你可以参考<b>./op/list_all_file.php</b>文件，可以看到这个函数的应用！